Subject: Re: [PATCH v3 0/5] i2c: i2c-mpc: make I2C bus speed configurable

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 08 Apr 2009 21:55:48 +0200

Kumar Gala wrote:
> 
> On Apr 8, 2009, at 2:25 AM, Wolfgang Grandegger wrote:
> 
>>> So I'm a bit concerned with the output we now get:
>>>
>>> mpc-i2c fffe03000.i2c: clock 0 Hz (dfsrr=16 fdr=49)
>>>
>>> why 0? is that right?
>>
>> This is the backward compatibility mode using hard-coded FDR values. The
>> output is missleading, I agree.
>>
>> Wolfgang.
> 
> Can the output be fixed.  0 Hz seemed bad to me.

Of course. No info message will be printed for the legacy case
like it was with the old driver version. I just realized a bug in the
MPC52xx part. Will send patches tomorrow, after some more thorough testing.

Wolfgang.